Android Güvenlik Bülteni - Haziran 2017

5 Haziran 2017'de Yayınlandı | Yayım tarihi 17 August 2017

Android Güvenlik Bülteni, Android cihazları etkileyen güvenlik açıklarının ayrıntılarını içerir. 05 Haziran 2017 veya daha sonraki güvenlik yaması seviyeleri tüm bu sorunları ele alır. Bir cihazın güvenlik yaması düzeyini nasıl kontrol edeceğinizi öğrenmek için Pixel ve Nexus güncelleme programına bakın.

Bültende açıklanan konular ortaklara en az bir ay önce bildirildi. Bu sorunlar için kaynak kod yamaları, Android Açık Kaynak Projesi (AOSP) havuzunda yayınlanacak ve bu bültenden bağlanacaktır. Bu bülten ayrıca AOSP dışındaki yamalara bağlantılar içerir.

Bu sorunların en önemlisi, Media Framework'teki, özel hazırlanmış bir dosya kullanan uzaktaki bir saldırganın medya dosyası ve veri işleme sırasında bellek bozulmasına neden olabilecek kritik bir güvenlik açığıdır. Önem derecesi değerlendirmesi , güvenlik açığından yararlanmanın etkilenen bir cihaz üzerinde sahip olabileceği etkiye dayanır ve platform ve hizmet azaltma işlemlerinin geliştirme amacıyla kapatıldığı veya başarılı bir şekilde atlandığı varsayılır.

Yeni bildirilen bu sorunların aktif olarak istismar edildiğine veya kötüye kullanıldığına dair hiçbir bildirim almadık. Android güvenlik platformu korumaları ve Android platformunun güvenliğini artıran Google Play Protect hakkında ayrıntılar için Android ve Google Play Protect azaltıcı etkenler bölümüne bakın.

Tüm müşterilerimizi cihazlarında bu güncellemeleri kabul etmeye davet ediyoruz.

Not: Google cihazları için en son kablosuz güncelleme (OTA) ve donanım yazılımı görüntüleri ile ilgili bilgiler Google cihaz güncellemeleri bölümünde mevcuttur.

Duyurular

  • Okumayı kolaylaştırmak için aylık güvenlik bültenini düzenledik. Bu güncellemenin bir parçası olarak, güvenlik açığı bilgileri, etkilenen bileşene göre kategorilere ayrılır, bir güvenlik yaması düzeyinde bileşen adına göre sıralanır ve Google cihazına özgü bilgiler özel bir bölümde barındırılır.
  • Bu bülten, Android iş ortaklarına tüm Android cihazlarda benzer bir güvenlik açıkları alt kümesini daha hızlı bir şekilde düzeltme esnekliği sağlamak için iki güvenlik yaması düzeyi dizesine sahiptir. Ek bilgi için Yaygın sorular ve yanıtlar bölümüne bakın:
    • 2017-06-01 : Kısmi güvenlik yaması düzeyi dizesi. Bu güvenlik yaması düzeyi dizesi, 2017-06-01 (ve önceki tüm güvenlik yaması düzeyi dizeleri) ile ilişkili tüm sorunların ele alındığını gösterir.
    • 2017-06-05 : Tam güvenlik yaması düzeyi dizesi. Bu güvenlik yaması düzeyi dizesi, 2017-06-01 ve 2017-06-05 (ve önceki tüm güvenlik yaması düzeyi dizeleri) ile ilişkili tüm sorunların ele alındığını gösterir.

Android ve Google Play Protect önlemleri

Bu, Android güvenlik platformu tarafından sağlanan azaltma önlemlerinin ve Google Play Protect gibi hizmet korumalarının bir özetidir. Bu yetenekler, güvenlik açıklarından Android'de başarıyla yararlanma olasılığını azaltır.

  • Android platformunun daha yeni sürümlerindeki geliştirmeler, Android'deki birçok sorundan yararlanmayı daha da zorlaştırıyor. Mümkünse tüm kullanıcıları en son Android sürümüne güncelleme yapmaya teşvik ediyoruz.
  • Android güvenlik ekibi, Google Play Protect aracılığıyla kötüye kullanımı aktif olarak izler ve kullanıcıları Zararlı Olabilecek Uygulamalar konusunda uyarır. Google Play Protect, Google Mobile Services bulunan cihazlarda varsayılan olarak etkindir ve özellikle Google Play dışından uygulama yükleyen kullanıcılar için önemlidir.

2017-06-01 güvenlik yaması düzeyi — Güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2017-06-01 yama düzeyi için geçerli olan güvenlik açıklarının her biri için ayrıntılar sunuyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplanır. Sorunun bir açıklaması ve CVE, ilişkili referanslar, güvenlik açığı türü , önem derecesi ve güncellenmiş AOSP sürümlerini (uygun olduğu durumlarda) içeren bir tablo vardır. Mümkün olduğunda, sorunu ele alan genel değişikliği, AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, hata kimliğini izleyen numaralara ek referanslar bağlanır.

Bluetooth

Bu bölümdeki en ciddi güvenlik açığı, yerel bir kötü amaçlı uygulamanın izin düzeylerinin dışındaki verilere erişmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2017-0645 A-35385327 EoP Orta 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0646 A-33899337 İD Orta 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2

Kitaplıklar

Bu bölümdeki en ciddi güvenlik açığı, özel hazırlanmış bir dosya kullanan uzaktaki bir saldırganın ayrıcalıksız bir işlem bağlamında rasgele kod yürütmesine olanak verebilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2015-8871 A-35443562 * RCE Yüksek 5.0.2, 5.1.1, 6.0, 6.0.1
CVE-2016-8332 A-37761553 * RCE Yüksek 5.0.2, 5.1.1, 6.0, 6.0.1
CVE-2016-5131 A-36554209 RCE Yüksek 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2016-4658 A-36554207 RCE Yüksek 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0663 A-37104170 RCE Yüksek 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-7376 A-36555370 RCE Yüksek 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-5056 A-36809819 RCE Orta 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-7375 A-36556310 RCE Orta 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0647 A-36392138 İD Orta 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2016-1839 A-36553781 DoS Orta 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2

Medya çerçevesi

Bu bölümdeki en ciddi güvenlik açığı, özel hazırlanmış bir dosya kullanan uzaktaki bir saldırganın medya dosyası ve veri işleme sırasında bellek bozulmasına neden olmasını sağlayabilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2017-0637 A-34064500 RCE Kritik 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0391 A-32322258 DoS Yüksek 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0640 A-33129467 * DoS Yüksek 6.0, 6.0.1, 7.0, 7.1.1
CVE-2017-0641 A-34360591 DoS Yüksek 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0642 A-34819017 DoS Yüksek 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2
CVE-2017-0643 A-35645051 * DoS Yüksek 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1
CVE-2017-0644 A-35472997 * DoS Yüksek 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1

Sistem Kullanıcı Arayüzü

Bu bölümdeki en ciddi güvenlik açığı, özel hazırlanmış bir dosya kullanan bir saldırganın ayrıcalıksız bir işlem bağlamında rasgele kod yürütmesine olanak verebilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2017-0638 A-36368305 RCE Yüksek 7.1.1, 7.1.2

2017-06-05 güvenlik yaması düzeyi — Güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2017-06-05 yama düzeyi için geçerli olan güvenlik açıklarının her biri için ayrıntılar sunuyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplanır ve CVE, ilişkili referanslar, güvenlik açığı türü , önem derecesi , bileşen (geçerli olduğu durumlarda) ve güncellenmiş AOSP sürümleri (uygun olduğu durumlarda) gibi ayrıntıları içerir. Mümkün olduğunda, sorunu ele alan genel değişikliği, AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, hata kimliğini izleyen numaralara ek referanslar bağlanır.

Çekirdek bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, yerel bir kötü amaçlı uygulamanın çekirdek bağlamında rastgele kod yürütmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2017-0648 A-36101220 * EoP Yüksek FIQ hata ayıklayıcı
CVE-2017-0651 A-35644815 * İD Düşük ION alt sistemi

Kitaplıklar

Bu bölümdeki en ciddi güvenlik açığı, özel hazırlanmış bir dosya kullanan uzaktaki bir saldırganın hassas bilgilere erişim sağlamasına olanak verebilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2015-7995 A-36810065 * İD Orta 4.4.4

MediaTek bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, yerel bir kötü amaçlı uygulamanın çekirdek bağlamında rastgele kod yürütmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2017-0636 A-35310230 *
M-ALPS03162263
EoP Yüksek Komut kuyruğu sürücüsü
CVE-2017-0649 A-34468195 *
M-ALPS03162283
EoP Orta Ses sürücüsü

NVIDIA bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, yerel bir kötü amaçlı uygulamanın çekirdek bağlamında rastgele kod yürütmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2017-6247 A-34386301 *
N-CVE-2017-6247
EoP Yüksek Ses sürücüsü
CVE-2017-6248 A-34372667 *
N-CVE-2017-6248
EoP Orta Ses sürücüsü
CVE-2017-6249 A-34373711 *
N-CVE-2017-6249
EoP Orta Ses sürücüsü

Qualcomm bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, yakın bir saldırganın çekirdek bağlamında rasgele kod yürütmesine olanak verebilir.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2017-7371 A-36250786
QC-CR # 1101054
RCE Kritik Bluetooth sürücüsü
CVE-2017-7365 A-32449913
QC-CR # 1017009
EoP Yüksek Önyükleyici
CVE-2017-7366 A-36252171
QC-CR # 1036161 [ 2 ]
EoP Yüksek GPU sürücüsü
CVE-2017-7367 A-34514708
QC-CR # 1008421
DoS Yüksek Önyükleyici
CVE-2016-5861 A-36251375
QC-CR # 1103510
EoP Orta Video sürücüsü
CVE-2016-5864 A-36251231
QC-CR # 1105441
EoP Orta Ses sürücüsü
CVE-2017-6421 A-36251986
QC-CR # 1110563
EoP Orta MStar dokunmatik ekran sürücüsü
CVE-2017-7364 A-36252179
QC-CR # 1113926
EoP Orta Video sürücüsü
CVE-2017-7368 A-33452365
QC-CR # 1103085
EoP Orta Ses sürücüsü
CVE-2017-7369 A-33751424
QC-CR # 2009216 [ 2 ]
EoP Orta Ses sürücüsü
CVE-2017-7370 A-34328139
QC-CR # 2006159
EoP Orta Video sürücüsü
CVE-2017-7372 A-36251497
QC-CR # 1110068
EoP Orta Video sürücüsü
CVE-2017-7373 A-36251984
QC-CR # 1090244
EoP Orta Video sürücüsü
CVE-2017-8233 A-34621613
QC-CR # 2004036
EoP Orta Kamera sürücüsü
CVE-2017-8234 A-36252121
QC-CR # 832920
EoP Orta Kamera sürücüsü
CVE-2017-8235 A-36252376
QC-CR # 1083323
EoP Orta Kamera sürücüsü
CVE-2017-8236 A-35047217
QC-CR # 2009606
EoP Orta IPA sürücüsü
CVE-2017-8237 A-36252377
QC-CR # 1110522
EoP Orta Ağ sürücüsü
CVE-2017-8242 A-34327981
QC-CR # 2009231
EoP Orta Güvenli Yürütme Ortamı İletişimci sürücüsü
CVE-2017-8239 A-36251230
QC-CR # 1091603
İD Orta Kamera sürücüsü
CVE-2017-8240 A-36251985
QC-CR # 856379
İD Orta Pin denetleyici sürücüsü
CVE-2017-8241 A-34203184
QC-CR # 1069175
İD Düşük Wi-Fi sürücüsü

Synaptics bileşenleri

Bu bölümdeki en ciddi güvenlik açığı, yerel bir kötü amaçlı uygulamanın izin düzeylerinin dışındaki verilere erişmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2017-0650 A-35472278 * EoP Düşük Dokunmatik ekran sürücüsü

Qualcomm kapalı kaynak bileşenleri

Bu güvenlik açıkları Qualcomm bileşenlerini etkiler ve 2014-2016 arası Qualcomm AMSS güvenlik bültenlerinde daha ayrıntılı olarak açıklanmıştır. Düzeltmelerini bir Android güvenlik yaması düzeyiyle ilişkilendirmek için bu Android güvenlik bültenine eklenmiştir. Bu güvenlik açıklarına yönelik düzeltmeler doğrudan Qualcomm'dan edinilebilir.

CVE Referanslar Tür Önem Bileşen
CVE-2014-9960 A-37280308 * Yok Kritik Kapalı kaynak bileşeni
CVE-2014-9961 A-37279724 * Yok Kritik Kapalı kaynak bileşeni
CVE-2014-9953 A-36714770 * Yok Kritik Kapalı kaynak bileşeni
CVE-2014-9967 A-37281466 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9026 A-37277231 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9027 A-37279124 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9008 A-36384689 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9009 A-36393600 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9010 A-36393101 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9011 A-36714882 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9024 A-37265657 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9012 A-36384691 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9013 A-36393251 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9014 A-36393750 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9015 A-36714120 * Yok Kritik Kapalı kaynak bileşeni
CVE-2015-9029 A-37276981 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10338 A-37277738 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10336 A-37278436 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10333 A-37280574 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10341 A-37281667 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10335 A-37282802 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10340 A-37280614 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10334 A-37280664 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10339 A-37280575 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10298 A-36393252 * Yok Kritik Kapalı kaynak bileşeni
CVE-2016-10299 A-32577244 * Yok Kritik Kapalı kaynak bileşeni
CVE-2014-9954 A-36388559 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9955 A-36384686 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9956 A-36389611 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9957 A-36387564 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9958 A-36384774 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9962 A-37275888 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9963 A-37276741 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9959 A-36383694 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9964 A-37280321 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9965 A-37278233 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2014-9966 A-37282854 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9023 A-37276138 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9020 A-37276742 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9021 A-37276743 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9025 A-37276744 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9022 A-37280226 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9028 A-37277982 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9031 A-37275889 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9032 A-37279125 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9033 A-37276139 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2015-9030 A-37282907 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2016-10332 A-37282801 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2016-10337 A-37280665 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2016-10342 A-37281763 * Yok Yüksek Kapalı kaynak bileşeni

Google cihaz güncellemeleri

Bu tablo, en son kablosuz güncellemedeki (OTA) güvenlik yaması düzeyini ve Google cihazları için donanım yazılımı görüntülerini içerir. Google cihazı donanım yazılımı görüntüleri, Google Geliştirici sitesinde mevcuttur .

Google cihazı Güvenlik yaması seviyesi
Piksel / Piksel XL 05 Haziran 2017
Nexus 5X 05 Haziran 2017
Nexus 6 05 Haziran 2017
Nexus 6P 05 Haziran 2017
Nexus 9 05 Haziran 2017
Nexus Player 05 Haziran 2017
Piksel C 05 Haziran 2017

Google cihaz güncellemeleri, varsa bu güvenlik açıkları için yamalar da içerir:

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2017-0639 A-35310991 İD Yüksek 4.4.4, 5.0.2, 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2

Teşekkür

Bu araştırmacılara katkılarından dolayı teşekkür ederiz:

CVE'ler Araştırmacılar
CVE-2017-0643, CVE-2017-0641 Trend Micro'dan Ecular Xu (徐健)
CVE-2017-0645, CVE-2017-0639 En O ( @ heeeeen4x ) ve Bo Liu MS509Team
CVE-2017-0649 Gengjia Chen ( @ chengjia4574 ) ve IceSword Lab'den pjf , Qihoo 360 Technology Co.Ltd.
CVE-2017-0646 Tencent PC Manager'dan Godzheng (郑 文选 - @VirtualSeekers )
CVE-2017-0636 Shellphish Grill Team'den Jake Corina ( @JakeCorina )
CVE-2017-8233 Jianqiang Zhao ( @jianqiangzhao ) ve IceSword Lab'den pjf , Qihoo 360
CVE-2017-7368 Lubo Zhang ( zlbzlb815@163.com ), Yuan-Tsung Lo ( computernik@gmail.com ait) ve Xuxian Jiang C0RE Ekibi
CVE-2017-8242 Tesla'nın Ürün Güvenliği Ekibinden Nathan Crandall ( @natecray )
CVE-2017-0650 Omer Shwartz, Amir Cohen, Dr. Asaf Shabtai ve Ben Gurion Üniversitesi Siber Laboratuvarı'ndan Dr. Yossi Oren
CVE-2017-0648 Roee Hay ( @roeehay ), Aleph Research , HCL Technologies
CVE-2017-7369, CVE-2017-6249, CVE-2017-6247, CVE-2017-6248 TrendMicro'dan sevenshen ( @lingtongshen )
CVE-2017-0642, CVE-2017-0637, CVE-2017-0638 Vasily Vasiliev
CVE-2017-0640 Mobil Tehdit Müdahale Ekibinden VEO ( @VYSEa ), Trend Micro
CVE-2017-8236 Tencent Güvenlik Platformu Departmanı'ndan Xiling Gong
CVE-2017-0647 Yangkang ( @dnpushme ) ve Qex Ekibinden Liyadong, Qihoo 360
CVE-2017-7370 IceSword Lab, Qihoo 360 Technology Co. Ltd'den Yonggang Guo ( @guoygang )
CVE-2017-0651 Yuan-Tsung Lo ( computernik@gmail.com ) ve Xuxian Jiang C0RE Ekibi
CVE-2017-8241 Google'dan Zubin Mithra

Sık sorulan sorular ve cevaplar

Bu bölüm, bu bülteni okuduktan sonra ortaya çıkabilecek yaygın soruları yanıtlamaktadır.

1. Cihazımın bu sorunları gidermek için güncellenip güncellenmediğini nasıl anlarım?

Bir cihazın güvenlik yaması düzeyini nasıl kontrol edeceğinizi öğrenmek için Pixel ve Nexus güncelleme programındaki talimatları okuyun.

  • 2017-06-01 veya sonraki güvenlik yaması düzeyleri, 2017-06-01 güvenlik yaması düzeyiyle ilişkili tüm sorunları ele alır.
  • 2017-06-05 veya sonraki güvenlik yaması düzeyleri, 2017-06-05 güvenlik yaması düzeyi ve önceki tüm yama düzeyleriyle ilişkili tüm sorunları ele alır.

Bu güncellemeleri içeren cihaz üreticileri yama dizisi seviyesini şu şekilde ayarlamalıdır:

  • [ro.build.version.security_patch]: [2017-06-01]
  • [ro.build.version.security_patch]: [2017-06-05]

2. Bu bültende neden iki güvenlik yaması düzeyi var?

Bu bültende iki güvenlik yaması düzeyi vardır, böylece Android iş ortakları, tüm Android cihazlarda benzer bir güvenlik açığı alt kümesini daha hızlı bir şekilde düzeltme esnekliğine sahip olur. Android ortaklarının bu bültendeki tüm sorunları gidermeleri ve en son güvenlik yaması düzeyini kullanmaları önerilir.

  • 01 Haziran 2017 güvenlik yaması düzeyini kullanan cihazlar, bu güvenlik yaması düzeyiyle ilişkili tüm sorunları ve önceki güvenlik bültenlerinde bildirilen tüm sorunlara yönelik düzeltmeleri içermelidir.
  • 05 Haziran 2017 veya daha yeni güvenlik yaması düzeyini kullanan cihazlar, bu (ve önceki) güvenlik bültenlerindeki tüm geçerli yamaları içermelidir.

İş ortaklarının, ele aldıkları tüm sorunlar için düzeltmeleri tek bir güncellemede bir araya getirmeleri önerilir.

3. Tür sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Tür sütunundaki girişler, güvenlik açığı sınıflandırmasına atıfta bulunur.

Kısaltma Tanım
RCE Uzaktan kod yürütme
EoP Ayrıcalık yükselmesi
İD Bilgi ifşası
DoS Hizmet reddi
Yok Sınıflandırma mevcut değil

4. Referanslar sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Başvurular sütununun altındaki girişler, referans değerinin ait olduğu kuruluşu tanımlayan bir önek içerebilir.

Önek Referans
A- Android hata kimliği
QC- Qualcomm referans numarası
M- MediaTek referans numarası
N- NVIDIA referans numarası
B- Broadcom referans numarası

5. Başvurular sütunundaki Android hata kimliğinin yanında bulunan bir * ne anlama geliyor?

Herkese açık olmayan sorunlar, Referanslar sütunundaki Android hata kimliğinin yanında * işaretine sahiptir. Bu soruna yönelik güncelleme, genellikle Google Geliştirici sitesinde bulunan Nexus cihazları için en son ikili sürücülerde bulunur.

Versiyonlar

Versiyon Tarih Notlar
1.0 5 Haziran 2017 Bülten yayınlandı.
1.1 7 Haziran 2017 Bülten, AOSP bağlantılarını içerecek şekilde revize edildi.
1.2 11 Temmuz 2017 Bülten, CVE-2017-6249'u içerecek şekilde revize edildi.
1.3 Ağustos 17, 2017 Bülten referans numaralarını güncellemek için revize edildi.